unit FormConfigProf;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TConfigProf = class(TForm)
    CommencerPar: TRadioGroup;
    GroupBox1: TGroupBox;
    ExcluO: TCheckBox;
    ExcluC: TCheckBox;
    ExcluR: TCheckBox;
    ExcluB: TCheckBox;
    ExcluG: TCheckBox;
    ExcluA: TCheckBox;
    excluP: TCheckBox;
    ExcluT: TCheckBox;
    ExcluD: TCheckBox;
    FmodeCollege: TCheckBox;
    OK: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    DejaDate: TCheckBox;
    ExcluN: TCheckBox;
    AccesArbre: TCheckBox;
    procedure OKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure AccesArbreClick(Sender: TObject);
  private
    { Dclarations prives }
    function Possible:Boolean;
  public
    { Dclarations publiques }
    procedure initialise;
    procedure ChargeLangue;
  end;

var
  ConfigProf: TConfigProf;

implementation

{$R *.dfm}
 uses Donnees,GestionTextes;
procedure TConfigProf.initialise;
begin
  //O pour Observer, C pour Comparer,R pour construire, T pour charger le tableau rempli, P pour Coder,
  //D pour Dater,B pour Classer (botes), G pour Grouper, A pour tablir des parents (Arbre)

  if LaSousCollection<>Nil then
    begin
      FModeCollege.Checked:=LaSousCollection.FModeCollege;
      AccesArbre.Checked:=LaSousCollection.FAccesArbre;
      ExcluG.Checked:=True;
      ExcluO.Checked:=(Pos('O',LasousCollection.Exclusions)>0);
      ExcluC.Checked:=(Pos('C',LasousCollection.Exclusions)>0);
      ExcluT.Checked:=(Pos('T',LasousCollection.Exclusions)>0);
      ExcluD.Checked:=(Pos('D',LasousCollection.Exclusions)>0);
      ExcluB.Checked:=(Pos('B',LasousCollection.Exclusions)>0);
      ExcluA.Checked:=(Pos('A',LasousCollection.Exclusions)>0);
      ExcluR.Checked:=(Pos('R',LasousCollection.Exclusions)>0);
      ExcluN.Checked:=(Pos('N',LasousCollection.Exclusions)>0);
      if LaSousCollection.CommencerPar='' then
        CommencerPar.ItemIndex:=7
      else if LaSousCollection.CommencerPar='0' then
        CommencerPar.ItemIndex:=0
      else if LaSousCollection.CommencerPar='C' then
        CommencerPar.ItemIndex:=1
      else if LaSousCollection.CommencerPar='O' then
        CommencerPar.ItemIndex:=2
      else if LaSousCollection.CommencerPar='T' then
        CommencerPar.ItemIndex:=3
      else if LaSousCollection.CommencerPar='D' then
        CommencerPar.ItemIndex:=4
      else if LaSousCollection.CommencerPar='B' then
        CommencerPar.ItemIndex:=5
      else if LaSousCollection.CommencerPar='A' then
        CommencerPar.ItemIndex:=6;
    end;
end;
procedure TConfigProf.OKClick(Sender: TObject);
begin
  If Possible then
    begin
      LasousCollection.Exclusions:='';
      LaSousCollection.FModeCollege:=FModeCollege.Checked;
      LaSousCollection.FAccesArbre:=AccesArbre.Checked;
      if ExcluG.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'G';
      if ExcluO.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'O';
      if ExcluC.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'C';
      if ExcluT.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'T';
      if ExcluD.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'D';
      if ExcluB.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'B';
      if ExcluA.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'A';
      if ExcluR.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'R';
      if ExcluN.Checked then
        LasousCollection.Exclusions:=LasousCollection.Exclusions+'N';
      Case CommencerPar.ItemIndex of
        0:LaSousCollection.CommencerPar:='O';
        7:LaSousCollection.CommencerPar:='';
        1:LaSousCollection.CommencerPar:='C';
        2:LaSousCollection.CommencerPar:='R';
        3:LaSousCollection.CommencerPar:='T';
        4:LaSousCollection.CommencerPar:='D';
        5:LaSousCollection.CommencerPar:='B';
        6:LaSousCollection.CommencerPar:='A';
      end;
      LaSousCollection.DatationFaite:=DejaDate.Checked;
      ModalResult:=mrOK;
    end
  else
    Messagedlg('Combinaison de choix impossible',mtwarning,[mbOK],0)
end;
function TConfigProf.Possible:Boolean;
begin
  Result:=True;
  If ExcluO.Checked and (CommencerPar.ItemIndex=0) then
    Result:=False
  Else If ExcluC.Checked and (CommencerPar.ItemIndex=1) then
    Result:=False
  Else If ExcluR.Checked and (CommencerPar.ItemIndex=2) then
    Result:=False
  Else If  ExcluT.Checked and (CommencerPar.ItemIndex=3) then
    Result:=False
  Else If ExcluP.Checked and (CommencerPar.ItemIndex=4) then
    Result:=False
  Else If ExcluB.Checked and (CommencerPar.ItemIndex=5) then
    Result:=False
  Else If ExcluA.Checked and (CommencerPar.ItemIndex=6) then
    Result:=False;
  If ExcluO.Checked and ExcluC.Checked and  ExcluR.Checked and ExcluT.Checked and ExcluP.Checked and ExcluB.Checked and ExcluA.Checked then
    Result:=False;
  If AccesArbre.Checked then
    FmodeCollege.Checked;
end;
procedure TConfigProf.FormCreate(Sender: TObject);
begin
  ChargeLangue;
end;

procedure TConfigProf.ChargeLangue;
begin
  Caption:=C_ConfigProf; // Configuration (pour tester avant d'enregistrer)
  CommencerPar.Caption:=C_ConfigProfCommencerPar; // Lancer directement l'activit
  GroupBox1.Caption:=C_ConfigProfGroupBox1; //  Exclure les activits
  ExcluO.Caption:=C_FormPrincObserver; // Observer
  ExcluC.Caption:=C_FormPrincComparer; // Comparer
  ExcluR.Caption:=C_FormPrincConstruire; // Construire
  ExcluB.Caption:=C_FormPrincAClasser; // Classer
  ExcluG.Caption:=C_FormPrincGrouper; // Grouper
  ExcluA.Caption:=C_ConfigProfExcluA; // tablir les parents (Arbre)
  excluP.Caption:=C_FormPrincCoder; // Polariser
  ExcluT.Caption:=C_ConfigProfExcluT; // Tableau
  ExcluD.Caption:=C_ConfigProfExcluD; // Dater
  ExcluN.Caption:=C_FormPrincOrganiser; // Organiser
  FmodeCollege.Caption:=C_ConfigProfFmodeCollege; // Configurer en mode collge (ou mode seconde)
  Label2.Caption:=C_ConfigProfLabel2; // Attention, tout travail antrieur sera perdu.
  DejaDate.Caption:=C_ConfigProfDejaDate; // Ajustement  automatique des dates (activit Dater)
  CommencerPar.Items[0]:=C_FormPrincObserver; // Observer
  CommencerPar.Items[1]:=C_FormPrincComparer; // Comparer
  CommencerPar.Items[2]:=C_FormPrincConstruire; // Construire
  CommencerPar.Items[3]:=C_ConfigProfCommencerPar3;// Tableau (rempli)
  CommencerPar.Items[4]:=C_FormPrincCoder;// Polariser
  CommencerPar.Items[5]:=C_FormPrincAClasser;// Classer
  CommencerPar.Items[6]:=C_ConfigProfExcluA;// tablir les parents (Arbre)
  CommencerPar.Items[7]:=C_ConfigProfCommencerPar7;//aucune
  AccesArbre.Caption:=C_ConfigProfAccesArbre;//'Accs  l'arbre  partir de Classer (mode seconde)'
  Label1.Caption:=C_ConfigProfLabel1+Chr(10)+chr(13)+C_ConfigProfLabel1_2+Chr(10)+chr(13)+C_ConfigProfLabel1_3+Chr(10)+chr(13)+C_ConfigProfLabel1_4;
end;

procedure TConfigProf.AccesArbreClick(Sender: TObject);
begin
  if AccesArbre.Checked then
    FmodeCollege.Checked:=True;
end;

end.
